Subject: RE: [Simple] RE: Communication means in draft-ietf-impp-cpim-pidf-05

From: [email-masked]
Date: Thu, 12 Sep 2002 12:44:21 +0300

Hi,

I think SIP caller preferences and callee capabilities has many nice and useful features, and that's why that draft was very interesting when it first came out.

Since then there has been very little happening around that draft. The reason is that many people, including myself, have understood that SIMPLE Presence is going to address many of those issues in an even better way. For example you can see what communication means the other person is willing to use right now by subscribing to her presence. At least for me that is one of the key things as I understand what "presence" should contain in communication networks.

In recent IMPP discussions I noticed that some people think that this kind of information should not be part of presence, which made me quite confused.

My proposal is to design the SIMPLE PIDF profile in such a way that  most of the callee capabilities information can be represented in the presence document in a standard and unambiguous way. Otherwise I don't see this work very useful.

That of course leads me to the question that if SIMPLE does an own profile for PIDF, what that means for interoperability with other systems, and what it means for the feasibility of PIDF for that purpose in the first place... Personally I would't worry about this, but I would still like to hear the motivation from someone who knows the origins and goals of PIDF better than me. 

Markus

> -----Original Message-----
> From: ext Jonathan Rosenberg [mailto:[email-masked]]
> Sent: 05 September, 2002 21:21
> To: Paul Kyzivat
> Cc: [email-masked]; Kiss Krisztian (NRC/Tampere);
> [email-masked]
> Subject: Re: [Simple] RE: Communication means in
> draft-ietf-impp-cpim-pidf-05
> 
> 
> 
> 
> Paul Kyzivat wrote:
>  >
>  > Adrian Bateman wrote:
>  >
>  >> I appreciate that but my interpretation of
>  >>
>  >> SEP 02  Submission of SIMPLE PIDF profile to IESG for publication
>  >> as Proposed Standard
>  >>
>  >> from past discussions was with the application of PIDF to IM
>  >> (SIMPLE is also about IM over SIP is it not?). If media type is
>  >> also a SIMPLE work item then I see no reason why the two very
>  >> similar efforts can't be handled at the same time to help us move
>  >> along.
>  >
>  >
>  > I don't know if addressing media type, or perhaps more generally
>  > addressing the application of PIDF to SIP in all its glory, is
>  > covered by this or any other work item of SIMPLE. Based on the
>  > feedback in impp, this is deemed the appropriate place to 
> address it.
> 
> I think its reasonable to include it in the scope of the 
> current work item.
> 
> -Jonathan R.
> 
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
> Chief Scientist                             First Floor
> dynamicsoft                                 East Hanover, NJ 07936
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 
> _______________________________________________
> simple mailing list
> [email-masked]
> http://mailman.dynamicsoft.com/mailman/listinfo/simple
> 
_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple